Subject: Re: [bitcoin-dev] Do we really need a mempool? (for relay nodes)

From: Jorge Timón <[email-masked]>
Date: Tue, 21 Jul 2015 00:14:41 +0200

On Sat, Jul 18, 2015 at 9:46 PM, Patrick Strateman via bitcoin-dev
<[email-masked]> wrote:
> Relay nodes do not need a mempool, but do need some mechanism to avoid DoS
> issues.
>
> Wallet nodes can use the mempool for fee estimation (in addition to looking
> at past blocks).

Exactly, so an anti-DoS mechanism that would be sufficient for a
non-mempool node would be also useful for small values in -maxmempool.
I think a simple cache for transaction validations should be enough.
Please, review a draft for that in the newest #6448.

https://github.com/bitcoin/bitcoin/pull/6448

I would be happy to rebase it back to 0.11 and even 0.10.